/***************************************************************************
                          kmasqdock.h  -  description
                             -------------------
    begin                : Thu Mar 22 2001
    copyright            : (C) 2001 by Stephan de Georgio
    email                : kmasqdialer@stephan.co.uk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KMASQDOCK_H
#define KMASQDOCK_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <ksystemtray.h>
#include <kiconloader.h>
#include <kpopupmenu.h>

/**
  *@author Stephan de Georgio
  */

class KMasqDock : public KSystemTray
{
Q_OBJECT
public:
	KMasqDock();
	~KMasqDock();
	
protected:
	void mousePressEvent(QMouseEvent *);
	void paintEvent(QPaintEvent *);
	
private:
	KIconLoader *iconLoader;
	bool dialed;
	float bytesIn, lastBytesIn, bytesOut, lastBytesOut;
	
private slots:
	void slotHide();
	void slotDial();
	void slotSetStatus(const char *);
	void slotItemSelected(int);
	
signals:
	void sigChangeStatus(const char *);
	
public slots:
	void slotUpdateDock(float, float, float, float);
};

#endif
